NAND_CALCULATE_ECC(9)

NAME
nand_calculate_ecc - [NAND Interface] Calculate 3 byte ECC code for 256 byte block

SYNOPSIS

int nand_calculate_ecc (struct mtd_info * mtd, const u_char * dat, u_char * ecc_code);

ARGUMENTS

mtd MTD block structure

dat raw data

ecc_code
    buffer for ECC

AUTHOR
Thomas Gleixner <tglx@linutronix.de>.